JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Decibels Class Reference
juce_audio_basics » utilities

This class contains some helpful static methods for dealing with decibel values. More...

`#include <juce_Decibels.h>`

## Static Public Member Functions
template<typename Type >
static Type | decibelsToGain (Type decibels, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a dBFS value to its equivalent gain level.
template<typename Type >
static Type | gainToDecibels (Type gain, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a gain level into a dBFS value.
template<typename Type >
static Type | gainWithLowerBound (Type gain, Type lowerBoundDb)
| Restricts a gain value based on a lower bound specified in dBFS.
template<typename Type >
static String | toString (Type decibels, int decimalPlaces=2, Type minusInfinityDb=Type(defaultMinusInfinitydB), bool shouldIncludeSuffix=true, StringRef customMinusInfinityString={})
| Converts a decibel reading to a string.

## Detailed Description

This class contains some helpful static methods for dealing with decibel values.

## Member Function Documentation

## ◆ decibelsToGain()

template<typename Type >

static Type Decibels::decibelsToGain | ( | Type | decibels,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB) )
| static

Converts a dBFS value to its equivalent gain level.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. Any decibel value lower than minusInfinityDb will return a gain of 0.

Referenced by gainWithLowerBound(), and juce::dsp::LogRampedValue< FloatType >::setLogParameters().

## ◆ gainToDecibels()

template<typename Type >

static Type Decibels::gainToDecibels | ( | Type | gain,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB) )
| static

Converts a gain level into a dBFS value.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. If the gain is 0 (or negative), then the method will return the value provided as minusInfinityDb.

References jmax().

## ◆ gainWithLowerBound()

template<typename Type >

static Type Decibels::gainWithLowerBound | ( | Type | gain,
|  | Type | lowerBoundDb )
| static

Restricts a gain value based on a lower bound specified in dBFS.

This is useful if you want to make sure a gain value never reaches zero.

References decibelsToGain(), jassert, and jmax().

## ◆ toString()

template<typename Type >

static String Decibels::toString | ( | Type | decibels,
|  | int | decimalPlaces = 2,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB),
|  | bool | shouldIncludeSuffix = true,
|  | StringRef | customMinusInfinityString = {} )
| static

Converts a decibel reading to a string.

By default the returned string will have the 'dB' suffix added, but this can be removed by setting the shouldIncludeSuffix argument to false. If a customMinusInfinityString argument is provided this will be returned if the value is lower than minusInfinityDb, otherwise the return value will be "-INF".

The documentation for this class was generated from the following file:

- juce_Decibels.h